<div id="user-setting">
  <div class="d-flex justify-space-between">
    <div>
      <p class="mb-0 h6 black--text">
        User Settings
      </p>
      <span class="mt-1 colorGreyHeaderTable fsize-13">
        All settings to set up your account
      </span>
    </div>
    <div>
      <v-btn color="#076CE3" class="elevation-0" :disabled="loading" @click="onChangePassword()">
        <v-progress-circular indeterminate color="#076CE3" v-if="loading" size="22">
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <v-icon color="#ffffff">
            mdi-check
          </v-icon>
          <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">
            Save
          </p>
        </div>
      </v-btn>
    </div>
  </div>
  <v-card class="elevation-0 pa-3 pa-sm-6 mt-5">
    <v-row no-gutters>
      <v-col cols="12" md="6">
        <p class="mb-0 fsize-18 contentLightPrimary">
          Basic Information
        </p>
        <span class="mt-1 colorGreyHeaderTable fsize-13-400">
          Your display info on this platform
        </span>
      </v-col>
      <v-col cols="12" md="6">
        <v-row no-gutters>
          <v-col cols="12" sm="5" class="d-flex align-center justify-sm-end pa-3">
            <p class="mb-0 fsize-16 font-weight-bold">
              Email:
            </p>
          </v-col>
          <v-col cols="12" sm="7" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Enter your store email" v-model.trim="userInfo.email" readonly
                disabled>
              </v-text-field>
            </div>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-card>
  <v-card class="elevation-0 pa-3 pa-sm-6 mt-2">
    <v-row no-gutters>
      <v-col cols="12" md="6">
        <p class="mb-0 fsize-18 contentLightPrimary">
          Change Password
        </p>
        <span class="mt-1 colorGreyHeaderTable fsize-13-400">
          Create new password for your account
        </span>
      </v-col>
      <v-col cols="12" md="6">
        <v-row no-gutters>
          <v-col cols="12" sm="5" class="d-flex align-center justify-sm-end pa-3">
            <p class="mb-0 fsize-16 font-weight-bold">
              Current Password:
            </p>
          </v-col>
          <v-col cols="12" sm="7" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Enter your currrent password" v-model.trim="payload.password"
                :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'" :type="isHidePassword ? 'text' : 'password'"
                @click:append="isHidePassword = !isHidePassword">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="5" class="d-flex align-center justify-sm-end pa-3">
            <p class="mb-0 fsize-16 font-weight-bold">
              New Password:
            </p>
          </v-col>
          <v-col cols="12" sm="7" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Enter your new password" v-model.trim="payload.newPassword"
                :append-icon="isHidePassword2 ? 'mdi-eye' : 'mdi-eye-off'" :type="isHidePassword2 ? 'text' : 'password'"
                @click:append="isHidePassword2 = !isHidePassword2">
              </v-text-field>
            </div>
          </v-col>
          <v-col cols="12" sm="5" class="d-flex align-center justify-sm-end pa-3">
            <p class="mb-0 fsize-16 font-weight-bold">
              Confirm new password:
            </p>
          </v-col>
          <v-col cols="12" sm="7" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Enter your confirm password"
                v-model.trim="payload.passwordConfirm" :append-icon="isHidePassword3 ? 'mdi-eye' : 'mdi-eye-off'"
                :type="isHidePassword3 ? 'text' : 'password'" @click:append="isHidePassword3 = !isHidePassword3">
              </v-text-field>
            </div>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-card>
</div>